@import "../../../assets/scss/global";

.footer-wrapper {
    width: 100%;
    background: #383D48;
    color: white;
    margin-top: -150px;

    [class="container"] {
        @include largeScreen {
            padding: 0 3rem 0;
        }
    }

    img{
        margin-top: 15px;
    }

    //@include largeScreen {
    //    margin-top: -80px !important;
    //}

    .footer-top {
        .content{
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            margin: 0 0 50px;
            @include largeScreen {
                flex-direction: row;
                align-items: flex-start;
            }
            gap: 12%;
        }

        p {
            font-size: 13px;
            line-height: 17px;
            font-weight: 500;
            display: flex;
            margin: 0 0 13px;
            width: fit-content;

            svg {
                flex-shrink: 0;
                margin: 2px 6px 0 0;
            }
        }

        h3 {
            margin: 25px 0;
            font-size: 16px;
            line-height: 24px;
        }

        .left-side {
            width: 100%;
            @include largeScreen{
                width: 35%;
            }

            img {
                width: 164px;
                height: auto;
            }
        }

        .center {
            display: flex;
            flex: 1;
            justify-content: center;
            flex-direction: column;
            
            .highlight{
                color: $primary-color;
                cursor: pointer;
            }
        }

        .right-side {
            @include largeScreen {
                display: flex;
                flex-direction: column;
                align-items: center;
            }

            > p {
                margin: 25px 0 16px;
                line-height: 24px;
                font-size: 16px;
                font-weight: 700;

                @include largeScreen {
                    margin: 25px 0 32px;
                }
            }

            @include largeScreen {
                text-align: center;
            }

            .icon-wrapper {
                display: flex;
                column-gap: 12px;
                @include largeScreen {
                    column-gap: 20px;
                }

                .icon {
                    display: flex;
                    height: 50px;
                    width: 50px;
                    background: white;
                    justify-content: center;
                    align-items: center;
                    border-radius: 50%;
                    box-sizing: border-box;
                    border: 1px solid #DFDFDF;
                    cursor: pointer;
                }

                .facebook {
                    background: white;

                    svg {
                        path {
                            fill: #5891FF;
                        }
                    }

                    @include largeScreen {
                        &:hover {
                            background: #5891FF;

                            svg {
                                path {
                                    fill: white;
                                }
                            }
                        }
                    }
                }

                .youtube {
                    background: white;

                    svg {
                        path {
                            fill: #FF3333;
                        }
                    }

                    @include largeScreen {
                        &:hover {
                            background: #FF3333;

                            svg {
                                path {
                                    fill: white;
                                }
                            }
                        }
                    }
                }
            }

            img{
                width: 200px;
                margin-top: 30px;
            }
        }
    }

    .separate {
        border: 1px solid #8E91A0;
        // margin: 0 -100%;
    }

    .footer-bottom {
        display: flex;
        align-items: center;
        justify-content: center;
        color: $grey-color;
        font-size: 13px;
        height: 32px;
        padding: 24px 0;
        text-align: center;

        @include largeScreen {
            height: 65px;
            padding: 0;
        }
    }
}